System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Drawing.Printing.PrintController

Typically, to use the print preview feature, you create an instance of a or class and set its property. The is used by the and classes, though you can use the when managing the display of your own print preview window.

creates the that is displayed during the print preview. After is called, the method sets the to a graphic of a single page. The method clears the , while the method deallocates the object.

For more information about printing, see the namespace overview.

Specifies a print controller that displays a document on a screen as a series of images.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Printing.PreviewPageInfo[]

  You can use the image representation contained in a to implement your own print preview form.

  Captures the pages of a document as a series of images.

  An array of type that contains the pages of a as a series of images.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether this controller is used for print preview.

- Method
  System.Void `` ``

  is called immediately after the raises the event. If an exception is thrown inside a event of a , this method is not called.

  creates the that is displayed during the print preview. After is called, the method sets the to a graphic of a single page. The method clears the , while the method deallocates the object.

  Completes the control sequence that determines when and how to preview a page in a print document.

  A that represents the document being previewed. A that contains data about how to preview a page in the print document. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method is called immediately after raises the event. Even if an uncaught exception was thrown during the print preview process, is called.

  creates the that is displayed during the print preview. After is called, the method sets the to a graphic of a single page. The method clears the , while the method deallocates the object.

  Completes the control sequence that determines when and how to preview a print document.

  A that represents the document being previewed. A that contains data about how to preview the print document. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Graphics `` ``

  is called immediately before raises the event.

  creates the that is displayed during the print preview. After is called, the method sets the to a graphic of a single page. The method clears the , while the method deallocates the object.

  Anti-aliasing, also known as gray scaling, makes the print preview look better. However, the use of anti-aliasing can slow down the rendering speed. For more information about anti-aliasing, see the property.

  Begins the control sequence that determines when and how to preview a page in a print document.

  A that represents a page from a .

  A that represents the document being previewed. A that contains data about how to preview a page in the print document. Initially, the property of this parameter will be null. The value returned from this method will be used to set this property. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  is called immediately after raises the event.

  creates the that is displayed during the print preview. After is called, the method sets the to a graphic of a single page. The method clears the , while the method deallocates the object.

  verifies that the printer settings are valid.

  Begins the control sequence that determines when and how to preview a print document.

  A that represents the document being previewed. A that contains data about how to print the document. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  Anti-aliasing, also known as gray scaling, uses several shades of gray around areas of curves and diagonals in text to give the text a smoother appearance.

  While using anti-aliasing makes the print preview look better, it can slow down the rendering speed.

  Gets or sets a value indicating whether to use anti-aliasing when displaying the print preview.

  1.0.5000.0
  2.0.0.0